{ pkgs, ... }: {
  imports = [
    ../common
    ../common/home-user.nix

    ../../features/kitty.nix
    ../../features/vesktop
  ];

  home.packages = with pkgs; let
    nicotine-plus-master = pkgs.nicotine-plus.overrideAttrs(final: prev: {
      src = pkgs.fetchFromGitHub {
        owner = "nicotine-plus";
        repo = "nicotine-plus";
        rev = "d2fd71a78fcb0e8a661f696398e15d83df62d68f";
        sha256 = "sha256-z+rtPNgezTpWGHFU+IRlq9LZS9V0T4tVZ2JcZKRyPc0=";
      };
    });
  in [
    qbittorrent
    spotify
    teamspeak_client
    signal-desktop-beta
    nicotine-plus-master
  ];

  programs.vscode = {
    enable = true;
    package = pkgs.vscode.fhs;
  };

  programs.kitty.settings.font_size = 12;
}
